+ Responder ao Tópico



  1. #1

    Padrão atualizacoes

    Galera eh o seguinte: eu tenho o openssl instalado via RPM e saiu a versao + nova em tar.gz
    oq eu tenho q fazer pra atualizar? desinstalar o RPM e depois instalar o tar.gz ou posso fazer por cima do RPM?

  2. #2
    sainT
    Visitante

    Padrão atualizacoes

    teoricamente vc poderia instalar por cima, pq ele atualizaria as entradas, mas ja tive problemas com isso...as instalacoes podem dar conflito, dai c ta lascado...desinstale o rpm e depois instale o tar.gz, ou entao baixe o rpm dele e soh atualize <IMG SRC="images/forum/smilies/icon_smile.gif">

    inteh



  3. #3
    Visitante

    Padrão atualizacoes

    www.rpmfind.net e pegue o rpm mais atualizado.. use
    # rpm -Uvh --force --nodeps openssl-novo.i386.rpm
    ou se vc quizer instalar o fonte .tar.gz vc vai usar
    # rpm --erase openssl-antigo
    e depois sim instalar o source



  4. #4

    Padrão atualizacoes

    EU disse que a versão mais nova saiu em .tar.gz a mais nova em RPM eh a 0.96b!!!! q ainda eh vulnerável.... as não vulnerais são 0.96f em diante.....



  5. #5
    MrFreeze
    Visitante

    Padrão atualizacoes

    Vai dizer que a RedHat não disponibilizou nenhum patch? e nem mesmo uma versão estavel em .rpm ?
    Mais um motivo para utilizar Linux de verdade (Slackware & Debian).

  6. #6

    Padrão atualizacoes

    Eh ainda num disponibilizaram nda.... soh lançaram a correção para o Slapper mas não contra o Slapper.B



  7. #7
    brunomarcelo
    Visitante

    Padrão atualizacoes

    rpm -e opensslbugado

    tar-xzvf openssl-novo.tgz
    cd openssl-novo
    ./configure --help
    ./configure --opcoes que te agradam
    gmake
    gmake install

    caso nao saiba como volta a tela.. eh so da shift + pgup

    <font size=-1>[ Editado por brunomarcelo On Date 18-10-2002 em 11:20 ]</font>